com.ihr.xbrl.database.pagination

## Interface PageScroll

- All Known Implementing Classes:
    EmptyPageScroll, IndexPageScroll, NumberPageScroll

      public interface PageScroll

  Each PageScroll defined in bean factory must be marked as prototype (not singleton).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BOLD_PATTERN` The Constant BOLD_PATTERN.
    `static java.lang.String` | `LINK_PATTERN` The Constant LINK_PATTERN.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `firstResult()` First result.
    `java.io.Serializable` | `getCurrentIdentifier()` Gets the current identifier.
    `int` | `getLimit()` Gets the limit.
    `java.io.Serializable` | `getNextIdentifier()` Gets the next identifier.
    `java.io.Serializable` | `getPreviousIdentifier()` Gets the previous identifier.
    `java.lang.String` | `getTaskbar()` Gets the taskbar.
    `int` | `getTotalCount()` Gets the total count.
    `boolean` | `hasNext()` Checks for next.
    `boolean` | `hasPrevious()` Checks for previous.
    `boolean` | `hasTotalCount()` Checks for total count.
    `boolean` | `isFirst()` Checks if is first.
    `boolean` | `isLast()` Checks if is last.
    `boolean` | `isLimitable()` Checks if is limitable.
    `boolean` | `isUsePageScroll()` Checks if is use page scroll.
    `java.lang.String` | `orderBy()` Order by.
    `java.lang.Object` | `propertiesBean()` Properties bean.
    `java.lang.String` | `query()` Query.
    `void` | `setClass(java.lang.Class<?> clazz)` Sets the class.
    `void` | `setCurrentIdentifier(java.lang.String stringIdentifier)` Sets the current identifier.
    `void` | `setTotalCount(int totalCount)` Sets the total count.
    `org.hibernate.transform.ResultTransformer` | `transformer()` Transformer.

- - ### Field Detail

    - #### LINK_PATTERN

          static final java.lang.String LINK_PATTERN

      The Constant LINK_PATTERN.
      See Also:
        Constant Field Values

    - #### BOLD_PATTERN

          static final java.lang.String BOLD_PATTERN

      The Constant BOLD_PATTERN.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setClass

          void setClass(java.lang.Class<?> clazz)

      Sets the class.
      Parameters:
        `clazz` - the new class

    - #### getCurrentIdentifier

          java.io.Serializable getCurrentIdentifier()

      Gets the current identifier.
      Returns:
        the current identifier

    - #### setCurrentIdentifier

          void setCurrentIdentifier(java.lang.String stringIdentifier)

      Sets the current identifier.
      Parameters:
        `stringIdentifier` - the new current identifier

    - #### getPreviousIdentifier

          java.io.Serializable getPreviousIdentifier()

      Gets the previous identifier.
      Returns:
        the previous identifier

    - #### getNextIdentifier

          java.io.Serializable getNextIdentifier()

      Gets the next identifier.
      Returns:
        the next identifier

    - #### firstResult

          int firstResult()

      First result.
      Returns:
        the int

    - #### getLimit

          int getLimit()

      Gets the limit.
      Returns:
        the limit

    - #### hasTotalCount

          boolean hasTotalCount()

      Checks for total count.
      Returns:
        true, if successful

    - #### getTotalCount

          int getTotalCount()

      Gets the total count.
      Returns:
        the total count

    - #### setTotalCount

          void setTotalCount(int totalCount)

      Sets the total count.
      Parameters:
        `totalCount` - the new total count

    - #### isUsePageScroll

          boolean isUsePageScroll()

      Checks if is use page scroll.
      Returns:
        true, if is use page scroll

    - #### hasPrevious

          boolean hasPrevious()

      Checks for previous.
      Returns:
        true, if successful

    - #### hasNext

          boolean hasNext()

      Checks for next.
      Returns:
        true, if successful

    - #### isLast

          boolean isLast()

      Checks if is last.
      Returns:
        true, if is last

    - #### isFirst

          boolean isFirst()

      Checks if is first.
      Returns:
        true, if is first

    - #### getTaskbar

          java.lang.String getTaskbar()

      Gets the taskbar.
      Returns:
        the taskbar

    - #### isLimitable

          boolean isLimitable()

      Checks if is limitable.
      Returns:
        true, if is limitable

    - #### query

          java.lang.String query()

      Query.
      Returns:
        the string

    - #### propertiesBean

          java.lang.Object propertiesBean()

      Properties bean.
      Returns:
        the object

    - #### orderBy

          java.lang.String orderBy()

      Order by.
      Returns:
        the string

    - #### transformer

          org.hibernate.transform.ResultTransformer transformer()

      Transformer.
      Returns:
        the result transformer